Package org.apache.sysds.hops

## Class HopsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.sysds.api.DMLException
        - - org.apache.sysds.hops.HopsException

All Implemented Interfaces:
  `Serializable`

    public class HopsException
    extends DMLException

Exception occurring in the HOP level.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.sysds.api.DMLException

`ERROR_MSG_DELIMITER`

### Constructor Summary

Constructors
`HopsException()`
`HopsException​(String message)`
`HopsException​(String message, Throwable cause)`
`HopsException​(Throwable cause)`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `check​(boolean condition, String message, Object... objects)` If the condition fails, print the message formatted with objects.
`static void` `check​(boolean condition, Hop hop, String message, Object... objects)` If the condition fails, print the Op and its Id, along with the message formatted with objects.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HopsException

    public HopsException()

#### HopsException

    public HopsException​(String message)

#### HopsException

    public HopsException​(Throwable cause)

#### HopsException

    public HopsException​(String message,
                         Throwable cause)

### Method Detail

#### check

    public static void check​(boolean condition,
                             String message,
                             Object... objects)

If the condition fails, print the message formatted with objects.

Parameters:
  `condition` - Condition to test
  `message` - Message to print if the condition fails
  `objects` - Objects to print with the message, as per String.format

#### check

    public static void check​(boolean condition,
                             Hop hop,
                             String message,
                             Object... objects)

If the condition fails, print the Op and its Id, along with the message formatted with objects.

Parameters:
  `condition` - Condition to test
  `hop` - Hop to print as a cause of the problem, if the condition fails
  `message` - Message to print if the condition fails
  `objects` - Objects to print with the message, as per String.format